Status: Closed   

Priority: Normal   

Category:    

Customer: BOSCH Product Issue

Numbers:
Department: CC-DA/ESI Affected Products: ADTF 2.13.3

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 2nd Level Topic: ADTF::Launcher

Resolution: Known Problem FAQ Links:  

Description

Supportanfrage:

I have an issue concerning the start of an ADTF configuration. I start with the following command line:

C:\Tools\common\ADTF\2.13.3-win64_vc100\bin\adtf_launcher.exe

c:\tools\common\adtf\2.13.3-win64_vc100\bin\adtf_devenv.manifest -stdout -nosplash -run -active=Playback -project=<path to my

project> -playlist=<path to my playlist> -quit -speed=x0 -skip_broken_dat_files -logfile=<path to the logfile>

With this command ADTF is starting and running as expected except for one thing: the speed is not set correctly but stays at x1

instead of x0.

During the ADTF run I can manually change the speed in the GUI, but I would like to have it automatically set via the command line

switch.

Is this a bug or do I have to adjust anything?

Attached you find the logfiles to the adtf run.

Thank you very much in advance for solving that issue.

Best regards,

Matthias Kammerer

Lösung:

Dieser Fehler ist bereits bekannt. Dafür gibt es das Bugticket https://www.cip.audi.de/jira/browse/ACORE-8005.

Siehe auch ADTF changelog.txt:

#30364 [Session Service] -speed has no effect in combination with -playlist as arguments in Command Line

 Workaround (bis dahin, allerdings nicht generisch...)

Im HDP die playback_rate fest setzen

Alternativ kannst du auch das -playlist="" weglassen, dann funktioniert die Angabe mit -speed richtig.

z.B.

adtf_launcher.exe 

D:\ADTF\2.13.3\bin\adtf_devenv.manifest 

-stdout 

-nosplash 

-run 

-active=Playback 

-project="D:\__support\#\playback\playback.prj" 

-quit 

-speed=x4 

-skip_broken_dat_files 

-logfile="D:\__support\#\playback\log.txt" 

Related issues:
https://www.cip.audi.de/jira/browse/ACORE-8005


Has duplicate Public Support - Support Request #8039: Command line argument -... Closed

History

#1 - 2017-08-07 11:01 - hidden

- Project changed from Public Support to 5

- Status changed from New to In Progress

- Topic set to ADTF::Launcher

#2 - 2017-08-07 12:00 - hidden

Maybe it helps in total to also check my Issue #1008 which deals with an Issue of the same ADTF call (-quit)

Mit freundlichen Grüßen / Best regards

Dr. Matthias Kammerer

#4 - 2017-08-07 14:26 - hidden

- Status changed from In Progress to Customer Feedback Required

- Resolution set to Known Problem

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-8005

Hallo Matthias,

dieser Fehler ist bereits bekannt. Dafür gibt es das Bugticket https://www.cip.audi.de/jira/browse/ACORE-8005.

Siehe auch ADTF changelog.txt:

#30364 [Session Service] -speed has no effect in combination with -playlist as arguments in Command Line

 Workaround (bis dahin, allerdings nicht generisch...)

Im HDP die playback_rate fest setzen

#5 - 2017-08-07 15:00 - hidden

Hallo Stephan,

vielen Dank für die Erklärung. Leider kann ich auf den gegebenen Link mit dem Bugticket nicht zugreifen. Gibt es einen Workaround, um zum

Abspielen EINES files ohne das –playlist Argument auszukommen?

Vielen Dank!

Mit freundlichen Grüßen / Best regards

Dr. Matthias Kammerer

#6 - 2017-08-07 16:09 - hidden

Hallo Matthias,

Workaround (bis dahin, allerdings nicht generisch...)

Im HDP die playback_rate fest setzen

Alternativ kannst du auch das -playlist="" weglassen, dann funktioniert die Angabe mit -speed richtig.

z.B.

adtf_launcher.exe 

D:\ADTF\2.13.3\bin\adtf_devenv.manifest 

-stdout 

-nosplash 

-run 

-active=Playback 

-project="D:\__support\#\playback\playback.prj" 

-quit 

-speed=x4 

-skip_broken_dat_files 

-logfile="D:\__support\#\playback\log.txt" 
 Damit sollte dieses Supportticket abgeschlossen sein. Bitte um Feedback, damit wir es schließen können.

Ist es dir Recht, wenn wir das Ticket öffentich machen, also für jeden User der Digitalwerk Community einsehbar?

#7 - 2017-08-08 12:00 - hidden

Hallo Stephan,

nach interner Rücksprache stimme ich der Frage nach Veröffentlichung des Tickets unter Vorbehalt zu: Bitte die Logfiles und auch sonstige etwaige

spezifische Informationen vorher entfernen.

Vielen Dank.

Mit freundlichen Grüßen / Best regards

Dr. Matthias Kammerer

#8 - 2017-08-08 15:33 - hidden

- File deleted (ADTFLogfile_stderr.log)

#9 - 2017-08-08 15:33 - hidden

- File deleted (ADTFLogfile.log)

#10 - 2017-08-08 15:47 - hidden

- Project changed from 5 to Public Support

- Subject changed from command line argument -speed is not working to Command line argument -speed is not working in combination with -playlist

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

@Florian, Ticket kann geschlossen werden.

#11 - 2017-08-09 09:00 - hidden

- Status changed from To Be Closed to Closed

#12 - 2019-08-07 17:59 - hidden

- Has duplicate Support Request #8039: Command line argument -speed is not working in combination with -playlist added
